For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • GETCheck Existence of Customer Email
              • GETList Users
              • POSTCreate User
              • GETGet User Information
              • PUTUpdate User Information
              • DELDelete User
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyUsers

Get User Information

GET
https://api-b2b.bigcommerce.com/api/v2/users/:userId
GET
/api/v2/users/:userId
$curl https://api-b2b.bigcommerce.com/api/v2/users/123 \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "message": "string",
3 "code": 200,
4 "data": {
5 "roleId": "1",
6 "userId": "123",
7 "firstName": "Marie",
8 "lastName": "Curie",
9 "phoneNumber": "8001234567",
10 "email": "m.curie@greatbuys.com"
11 }
12}
Returns Company user information. The `userId` parameter accepts both the Company user ID and the BigCommerce customer account ID. Equivalent Storefront GraphQL API Query: `user`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Create User

Next

Update User Information

Built with

Returns Company user information. The userId parameter accepts both the Company user ID and the BigCommerce customer account ID.

Equivalent Storefront GraphQL API Query: user. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

userIdstringRequired
The unique ID for the customer account.

Query parameters

isBcIdstringOptional

Indicates whether the userId parameter is the BigCommerce Customer ID. A value of 1 indicates that it is.

Response

OK
messagestring
codedoubleDefaults to 200
dataobject